parser
Keywords: yacs.parser.parser class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## yacs.parser
Class parser

    java.lang.Object
      java_cup.runtime.lr_parser
          yacs.parser.parser

public class parser
extends java_cup.runtime.lr_parser

CUP v0.10k generated parser.

Version:
  Wed Sep 07 07:10:41 GMT+01:00 2005

Field Summary
`java.util.HashMap` | `parserVariablesMap` HashtMap zum Zwischenspeichern der bereits vorhandenen Variablen

Constructor Summary
`parser()` Default constructor.
`parser(java_cup.runtime.Scanner s)` Constructor which sets the default scanner.

Method Summary
`short[][]` | `action_table()` Access to parse-action table.
`void` | `addVariablesMap(java.util.HashMap variablesMap)` Hinzufügen bereits vorhandener Variablen.
`java_cup.runtime.Symbol` | `do_action(int act_num, java_cup.runtime.lr_parser parser, java.util.Stack stack, int top)` Invoke a user supplied parse action.
`int` | `EOF_sym()` `EOF` Symbol index.
`int` | `error_sym()` `error` Symbol index.
`Expression` | `expression()` Gibt den gescannten und geparsten Ausdruck als Expression zurück.
`short[][]` | `production_table()` Access to production table.
`short[][]` | `reduce_table()` Access to `reduce_goto` table.
`int` | `start_production()` Indicates start production.
`int` | `start_state()` Indicates start state.
`void` | `user_init()` User initialization code.

Methods inherited from class java_cup.runtime.lr_parser
`debug_message, debug_parse, debug_reduce, debug_shift, debug_stack, done_parsing, dump_stack, getScanner, parse, report_error, report_fatal_error, scan, setScanner, syntax_error, unrecovered_syntax_error`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parserVariablesMap

    public java.util.HashMap parserVariablesMap

  HashtMap zum Zwischenspeichern der bereits vorhandenen Variablen

Constructor Detail

### parser

    public parser()

  Default constructor.

### parser

    public parser(java_cup.runtime.Scanner s)

  Constructor which sets the default scanner.

Method Detail

### production_table

    public short[][] production_table()

  Access to production table.

### action_table

    public short[][] action_table()

  Access to parse-action table.

### reduce_table

    public short[][] reduce_table()

  Access to `reduce_goto` table.

### do_action

    public java_cup.runtime.Symbol do_action(int act_num,
                                             java_cup.runtime.lr_parser parser,
                                             java.util.Stack stack,
                                             int top)
                                      throws java.lang.Exception

  Invoke a user supplied parse action.

  Throws:
    `java.lang.Exception`

### start_state

    public int start_state()

  Indicates start state.

### start_production

    public int start_production()

  Indicates start production.

### EOF_sym

    public int EOF_sym()

  `EOF` Symbol index.

### error_sym

    public int error_sym()

  `error` Symbol index.

### user_init

    public void user_init()
                   throws java.lang.Exception

  User initialization code.

  Throws:
    `java.lang.Exception`

### addVariablesMap

    public void addVariablesMap(java.util.HashMap variablesMap)

  Hinzufügen bereits vorhandener Variablen. Anstatt neue Variablen zu erzeugen, werden so die Referenzen bestehender Objekte verwendet.

  Parameters:
    `variablesMap` - HashMap

### expression

    public Expression expression()

  Gibt den gescannten und geparsten Ausdruck als Expression zurück.

  Returns:
    Expression

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD